Bug 224382 - [maintainer update] for graphics/openimageio
Summary: [maintainer update] for graphics/openimageio
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 225941
Blocks: 225942
  Show dependency treegraph
 
Reported: 2017-12-16 14:49 UTC by Shane
Modified: 2018-12-08 17:40 UTC (History)
2 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
maintainer update for graphics/openimageio (2.65 KB, patch)
2017-12-16 14:49 UTC, Shane
no flags Details | Diff
maintainer update graphics/openimageio to 1.8.8 (11.06 KB, patch)
2018-02-16 06:05 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/openimageio to 1.8.10 (10.67 KB, patch)
2018-04-19 19:00 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/openimageio to 1.8.14 (11.08 KB, patch)
2018-09-12 02:10 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/openimageio to 1.8.17 (11.01 KB, patch)
2018-12-05 06:24 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/openimageio to 1.8.17 (11.03 KB, patch)
2018-12-08 06:47 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2017-12-16 14:49:17 UTC
Created attachment 188884 [details]
maintainer update for graphics/openimageio

Add support for FLAVORS
Move the do-install step from py-openimageio to master port for the py2/py3 variations.
Comment 1 Shane 2018-02-16 06:05:25 UTC
Created attachment 190676 [details]
maintainer update graphics/openimageio to 1.8.8

update graphics/openimageio to 1.8.8
also adjust slave port graphics/py-openimageio to move do-install into master port
modernise cmake options
includes update for flavours support (for slave py-openimageio)

To resolve build issues on 10.4 we USE=compiler:c++14-lang - see bug #225838 - as clang50 should already be in place for building opengl (used by ports using oiio) this should not add any extra build overhead.
Comment 2 Yuri Victorovich freebsd_committer 2018-04-10 05:00:49 UTC
Hi Shane,

Could you please update the patch? The current patch doesn't apply any more.

Yuri
Comment 3 Shane 2018-04-19 19:00:48 UTC
Created attachment 192662 [details]
maintainer update graphics/openimageio to 1.8.10

update to 1.8.10
Comment 4 Shane 2018-09-12 02:10:22 UTC
Created attachment 197038 [details]
maintainer update graphics/openimageio to 1.8.14

update patch to 1.8.14
Comment 5 Yuri Victorovich freebsd_committer 2018-09-12 16:24:24 UTC
Progress update:
This patch breaks luxrender and openfx-io with "needs c++11 flag" error.
graphics/blender also broke for some reason, needs investigation.

Yuri
Comment 6 Shane 2018-09-13 04:53:44 UTC
(In reply to Yuri Victorovich from comment #5)

Do you have a specific config that this fails? build logs?

The oiio Makefile includes CMAKE_ARGS= USE_CPP:STRING=11 which should enable c++11 in the oiio build, blender has CMAKE_ON= WITH_CXX11 for the same.

I am running 11-stable with this version, I have blender, openfx-io and natron installed and running.

With poudriere I have built luxrender, openfx-io and blender, against projects/clang700-import 11.2-amd64 10.4-i386 and 11.1-amd64 and had no broken builds.
Comment 7 Yuri Victorovich freebsd_committer 2018-09-13 05:19:06 UTC
(In reply to Shane from comment #6)

This is 11.2 amd64 poudriere VM, generic, not customized in any way, last updated 2 weeks ago.


Yuri
Comment 8 Shane 2018-09-14 01:11:25 UTC
(In reply to Yuri Victorovich from comment #7)

Have you applied bug #225941
Comment 9 Shane 2018-12-05 06:24:22 UTC
Created attachment 199840 [details]
maintainer update graphics/openimageio to 1.8.17

Another update, to 1.8.17
Comment 10 Shane 2018-12-08 06:47:14 UTC
Created attachment 199949 [details]
maintainer update graphics/openimageio to 1.8.17

Adjust patch to not remove USES=compiler, this is needed on archs built with gcc in base. See bug #233671
Comment 11 commit-hook freebsd_committer 2018-12-08 14:21:25 UTC
A commit references this bug:

Author: pi
Date: Sat Dec  8 14:21:18 UTC 2018
New revision: 486952
URL: https://svnweb.freebsd.org/changeset/ports/486952

Log:
  graphics/openimageio: update 1.7.17 -> 1.8.17

  PR:		224382
  Submitted by:	Shane Ambler <FreeBSD@ShaneWare.Biz> (maintainer)
  Reviewed by:	yuri
  Relnotes:	http://lists.openimageio.org/pipermail/oiio-announce-openimageio.org/2018-December/000039.html
  		https://github.com/OpenImageIO/oiio/releases

Changes:
  head/graphics/openimageio/Makefile
  head/graphics/openimageio/distinfo
  head/graphics/openimageio/files/patch-src_cmake_modules_FindOpenCV.cmake
  head/graphics/openimageio/files/patch-src_ffmpeg.imageio_ffmpeginput.cpp
  head/graphics/openimageio/files/patch-src_python_CMakeLists.txt
  head/graphics/openimageio/pkg-plist
Comment 12 Kurt Jaeger freebsd_committer 2018-12-08 14:21:36 UTC
Committed, thanks!
Comment 13 commit-hook freebsd_committer 2018-12-08 17:40:13 UTC
A commit references this bug:

Author: pi
Date: Sat Dec  8 17:39:18 UTC 2018
New revision: 486968
URL: https://svnweb.freebsd.org/changeset/ports/486968

Log:
  graphics/openimageio: update 1.7.17 -> 1.8.17

  - 2nd attempt, fixing the slave port as well

  PR:		224382
  Submitted by:	Shane Ambler <FreeBSD@ShaneWare.Biz> (maintainer)
  Reviewed by:	yuri
  Relnotes:	http://lists.openimageio.org/pipermail/oiio-announce-openimageio.org/2018-December/000039.html
  		https://github.com/OpenImageIO/oiio/releases

Changes:
  head/graphics/openimageio/Makefile
  head/graphics/openimageio/distinfo
  head/graphics/openimageio/files/patch-src_ffmpeg.imageio_ffmpeginput.cpp
  head/graphics/openimageio/pkg-plist
  head/graphics/py-openimageio/Makefile